local E, L, V, P, G = unpack(ElvUI);
local GNUI = E:GetModule("GennUI");

function GNUI:LoadBGEProfileB()

BattleGroundEnemiesDB = {
	["profiles"] = {
		["Default"] = {
			["Allies"] = {
				["40"] = {
					["Enabled"] = false,
				},
				["Enabled"] = false,
				["ShowRealmnames"] = false,
				["15"] = {
					["NumericTargetindicator_Enabled"] = false,
					["Position_Y"] = 599.4667245851633,
					["RoleIcon_VerticalPosition"] = 6,
					["DrTrackingFiltering_Filterlist"] = {
						["silence"] = true,
						["disorient"] = true,
						["stun"] = true,
						["incapacitate"] = true,
					},
					["Name_Outline"] = "OUTLINE",
					["PowerBar_Texture"] = "GennUI Blinkii",
					["BarWidth"] = 200,
					["ObjectiveAndRespawn_Width"] = 32,
					["HealthBar_Texture"] = "GennUI Blinkii",
					["Name_Fontsize"] = 12,
					["Spec_Width"] = 28,
					["Position_X"] = 1164.800375427149,
					["DrTracking_Container_Color"] = {
						nil, -- [1]
						nil, -- [2]
						nil, -- [3]
						0, -- [4]
					},
					["PowerBar_Height"] = 10,
					["BarHeight"] = 25,
					["ObjectiveAndRespawn_Fontsize"] = 18,
					["Enabled"] = false,
					["DrTrackingFiltering_Enabled"] = true,
					["RoleIcon_Size"] = 12,
				},
			},
			["Font"] = "Exo 2 Semi Bold",
			["Locked"] = true,
			["DisableArenaFrames"] = true,
			["Enemies"] = {
				["40"] = {
					["Enabled"] = false,
				},
				["ShowRealmnames"] = false,
				["15"] = {
					["NumericTargetindicator_Enabled"] = false,
					["Position_Y"] = 595.9111689435122,
					["RoleIcon_VerticalPosition"] = 6,
					["Auras_Enabled"] = false,
					["ObjectiveAndRespawn_Outline"] = "OUTLINE",
					["DrTrackingFiltering_Filterlist"] = {
						["stun"] = true,
						["incapacitate"] = true,
						["silence"] = true,
						["disorient"] = true,
					},
					["Auras_Debuffs_Enabled"] = false,
					["Name_Outline"] = "OUTLINE",
					["PowerBar_Texture"] = "GennUI Blinkii",
					["BarWidth"] = 200,
					["ObjectiveAndRespawn_Width"] = 32,
					["HealthBar_Texture"] = "GennUI Blinkii",
					["Name_Fontsize"] = 12,
					["Spec_Width"] = 28,
					["NumericTargetindicator_Outline"] = "OUTLINE",
					["Position_X"] = 1004.800284747289,
					["DrTracking_Container_Color"] = {
						nil, -- [1]
						nil, -- [2]
						nil, -- [3]
						0, -- [4]
					},
					["PowerBar_Height"] = 2,
					["PlayerCount_Fontsize"] = 12,
					["BarHeight"] = 25,
					["ObjectiveAndRespawn_Fontsize"] = 18,
					["DrTrackingFiltering_Enabled"] = true,
					["RoleIcon_Size"] = 12,
					["Name_EnableTextshadow"] = false,
				},
			},
		},
	},
}

end

function GNUI:LoadBGEProfileM()

BattleGroundEnemiesDB = {
	["profiles"] = {
		["Default"] = {
			["Allies"] = {
				["40"] = {
					["Enabled"] = false,
				},
				["Enabled"] = false,
				["ShowRealmnames"] = false,
				["15"] = {
					["NumericTargetindicator_Enabled"] = false,
					["Position_Y"] = 599.4667245851633,
					["RoleIcon_VerticalPosition"] = 6,
					["DrTrackingFiltering_Filterlist"] = {
						["silence"] = true,
						["disorient"] = true,
						["stun"] = true,
						["incapacitate"] = true,
					},
					["Name_Outline"] = "OUTLINE",
					["PowerBar_Texture"] = "GennUI Melli",
					["BarWidth"] = 200,
					["ObjectiveAndRespawn_Width"] = 32,
					["HealthBar_Texture"] = "GennUI Melli",
					["Name_Fontsize"] = 12,
					["Spec_Width"] = 28,
					["Position_X"] = 1164.800375427149,
					["DrTracking_Container_Color"] = {
						nil, -- [1]
						nil, -- [2]
						nil, -- [3]
						0, -- [4]
					},
					["PowerBar_Height"] = 10,
					["BarHeight"] = 25,
					["ObjectiveAndRespawn_Fontsize"] = 18,
					["Enabled"] = false,
					["DrTrackingFiltering_Enabled"] = true,
					["RoleIcon_Size"] = 12,
				},
			},
			["Font"] = "Century Gothic Bold",
			["Locked"] = true,
			["DisableArenaFrames"] = true,
			["Enemies"] = {
				["40"] = {
					["Enabled"] = false,
				},
				["ShowRealmnames"] = false,
				["15"] = {
					["NumericTargetindicator_Enabled"] = false,
					["Position_Y"] = 595.9111689435122,
					["RoleIcon_VerticalPosition"] = 6,
					["Auras_Enabled"] = false,
					["ObjectiveAndRespawn_Outline"] = "OUTLINE",
					["DrTrackingFiltering_Filterlist"] = {
						["stun"] = true,
						["incapacitate"] = true,
						["silence"] = true,
						["disorient"] = true,
					},
					["Auras_Debuffs_Enabled"] = false,
					["Name_Outline"] = "OUTLINE",
					["PowerBar_Texture"] = "GennUI Melli",
					["BarWidth"] = 200,
					["ObjectiveAndRespawn_Width"] = 32,
					["HealthBar_Texture"] = "GennUI Melli",
					["Name_Fontsize"] = 12,
					["Spec_Width"] = 28,
					["NumericTargetindicator_Outline"] = "OUTLINE",
					["Position_X"] = 1004.800284747289,
					["DrTracking_Container_Color"] = {
						nil, -- [1]
						nil, -- [2]
						nil, -- [3]
						0, -- [4]
					},
					["PowerBar_Height"] = 2,
					["PlayerCount_Fontsize"] = 12,
					["BarHeight"] = 25,
					["ObjectiveAndRespawn_Fontsize"] = 18,
					["DrTrackingFiltering_Enabled"] = true,
					["RoleIcon_Size"] = 12,
					["Name_EnableTextshadow"] = false,
				},
			},
		},
	},
}

end