local E, L, V, P, G = unpack(ElvUI);
local GNUI = E:GetModule("GennUI");

function GNUI:LoadOmniCDProfileB()

OmniCDDB = {
	["profileKeys"] = {
	},
	["namespaces"] = {
		["LibDualSpec-1.0"] = {
		},
	},
	["cooldowns"] = {
	},
	["version"] = 2.51,
	["global"] = {
		["disableElvMsg"] = true,
	},
	["profiles"] = {
		["Default"] = {
			["Party"] = {
				["party"] = {
					["extraBars"] = {
						["raidCDBar"] = {
							["enabled"] = false,
						},
						["interruptBar"] = {
							["locked"] = true,
						},
					},
					["manualPos"] = {
						["interruptBar"] = {
							["y"] = 572.0531903386145,
							["x"] = 299.0582745655265,
						},
						["raidCDBar"] = {
							["y"] = 551.4309251745581,
							["x"] = 119.8580539615887,
						},
					},
					["spells"] = {
						["221562"] = false,
						["108194"] = false,
					},
					["position"] = {
						["paddingX"] = 1,
						["preset"] = "TOPLEFT",
						["attach"] = "TOPLEFT",
						["anchor"] = "TOPRIGHT",
						["offsetY"] = 4,
						["paddingY"] = 1,
					},
					["general"] = {
						["showPlayerEx"] = false,
						["showPlayer"] = true,
						["zoneSelected"] = "arena",
					},
				},
				["arena"] = {
					["extraBars"] = {
						["interruptBar"] = {
							["locked"] = true,
							["enabled"] = true,
						},
					},
					["spells"] = {
						["108194"] = false,
						["221562"] = false,
					},
					["position"] = {
						["paddingX"] = 1,
						["attach"] = "TOPLEFT",
						["preset"] = "TOPLEFT",
						["anchor"] = "TOPRIGHT",
						["offsetY"] = 4,
						["paddingY"] = 1,
					},
					["manualPos"] = {
						["raidCDBar"] = {
							["y"] = 551.4309251745581,
							["x"] = 119.8580539615887,
						},
						["interruptBar"] = {
							["y"] = 572.0531903386145,
							["x"] = 299.0582745655265,
						},
					},
					["general"] = {
						["showPlayer"] = true,
						["showPlayerEx"] = false,
					},
				},
				["visibility"] = {
					["scenario"] = true,
					["finder"] = true,
					["none"] = true,
				},
			},
			["General"] = {
				["fonts"] = {
					["statusBar"] = {
						["font"] = "Exo 2 Semi Bold",
						["flag"] = "OUTLINE",
					},
					["icon"] = {
						["font"] = "Exo 2 Semi Bold",
						["flag"] = "OUTLINE",
					},
					["anchor"] = {
						["font"] = "Exo 2 Semi Bold",
						["flag"] = "OUTLINE",
					},
				},
				["textures"] = {
					["statusBar"] = {
						["BG"] = "GennUI Blinkii",
						["bar"] = "GennUI Blinkii",
					},
				},
			},
		},
	},
}

end

function GNUI:LoadOmniCDProfileM()

OmniCDDB = {
	["profileKeys"] = {
	},
	["namespaces"] = {
		["LibDualSpec-1.0"] = {
		},
	},
	["cooldowns"] = {
	},
	["version"] = 2.51,
	["global"] = {
		["disableElvMsg"] = true,
	},
	["profiles"] = {
		["Default"] = {
			["Party"] = {
				["party"] = {
					["extraBars"] = {
						["raidCDBar"] = {
							["enabled"] = false,
						},
						["interruptBar"] = {
							["locked"] = true,
						},
					},
					["manualPos"] = {
						["interruptBar"] = {
							["y"] = 572.0531903386145,
							["x"] = 299.0582745655265,
						},
						["raidCDBar"] = {
							["y"] = 551.4309251745581,
							["x"] = 119.8580539615887,
						},
					},
					["spells"] = {
						["221562"] = false,
						["108194"] = false,
					},
					["position"] = {
						["paddingX"] = 1,
						["preset"] = "TOPLEFT",
						["attach"] = "TOPLEFT",
						["anchor"] = "TOPRIGHT",
						["offsetY"] = 4,
						["paddingY"] = 1,
					},
					["general"] = {
						["showPlayerEx"] = false,
						["showPlayer"] = true,
						["zoneSelected"] = "arena",
					},
				},
				["arena"] = {
					["extraBars"] = {
						["interruptBar"] = {
							["locked"] = true,
							["enabled"] = true,
						},
					},
					["spells"] = {
						["108194"] = false,
						["221562"] = false,
					},
					["position"] = {
						["paddingX"] = 1,
						["attach"] = "TOPLEFT",
						["preset"] = "TOPLEFT",
						["anchor"] = "TOPRIGHT",
						["offsetY"] = 4,
						["paddingY"] = 1,
					},
					["manualPos"] = {
						["raidCDBar"] = {
							["y"] = 551.4309251745581,
							["x"] = 119.8580539615887,
						},
						["interruptBar"] = {
							["y"] = 572.0531903386145,
							["x"] = 299.0582745655265,
						},
					},
					["general"] = {
						["showPlayer"] = true,
						["showPlayerEx"] = false,
					},
				},
				["visibility"] = {
					["scenario"] = true,
					["finder"] = true,
					["none"] = true,
				},
			},
			["General"] = {
				["fonts"] = {
					["statusBar"] = {
						["font"] = "Century Gothic Bold",
						["flag"] = "OUTLINE",
					},
					["icon"] = {
						["font"] = "Century Gothic Bold",
						["flag"] = "OUTLINE",
					},
					["anchor"] = {
						["font"] = "Century Gothic Bold",
						["flag"] = "OUTLINE",
					},
				},
				["textures"] = {
					["statusBar"] = {
						["BG"] = "GennUI Melli",
						["bar"] = "GennUI Melli",
					},
				},
			},
		},
	},
}

end